/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/sock.h: socket header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: sock.h,v 1.4 2002/07/04 21:12:33 rageircd Exp $
 */

#ifndef __sock_include__
#define __sock_include__

#ifndef FD_ZERO
#define FD_ZERO(set) (((set)->fd_bits[0]) == 0)
#define FD_SET(fd, set) (((set)->fd_bits[0]) |= 1 << (fd))
#define FD_ISSET(fd, set) (((set)->fd_bits[0]) & (1 << (fd)))
#define FD_SETSIZE 30
#endif

#endif /* __sock_include__ */
